Bug 1272079 - [abrt] gedit: gca_scrollbar_marker_update_spacing(): gedit killed by SIGSEGV
[abrt] gedit: gca_scrollbar_marker_update_spacing(): gedit killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8fd066c9ec81d6987a27d3094ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 08:40 EDT by Ferry Huberts
Modified: 2016-12-20 09:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:59:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (153.51 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: core_backtrace (11.73 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: dso_list (18.82 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: environ (1013 bytes, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: maps (85.34 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: mountinfo (7.98 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: open_fds (1.95 KB, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-10-15 08:40 EDT, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2015-10-15 08:40:16 EDT
Description of problem:
opened 2 text files in 1 window.
right click the tab of one of those files and select to move it to another window.
move the other window around --> crash

Version-Release number of selected component:
gedit-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: gca_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
global_pid:     16478
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gca_scrollbar_marker_update_spacing at src/gca-scrollbar-marker.c:237
 #5 _g_closure_invoke_va at gclosure.c:864
 #8 gtk_style_context_do_invalidate at gtkstylecontext.c:2412
 #9 gtk_css_widget_node_validate at gtkcsswidgetnode.c:132
 #10 gtk_css_node_validate_internal at gtkcssnode.c:1284
 #25 gtk_container_idle_sizer at gtkcontainer.c:2014
 #26 _g_closure_invoke_va at gclosure.c:864
 #28 g_signal_emit_by_name at gsignal.c:3479
 #29 gdk_frame_clock_paint_idle at gdkframeclockidle.c:408
 #35 g_main_context_iteration at gmain.c:3901

Potential duplicate: bug 1259040
Comment 1 Ferry Huberts 2015-10-15 08:40:20 EDT
Created attachment 1083242 [details]
File: backtrace
Comment 2 Ferry Huberts 2015-10-15 08:40:21 EDT
Created attachment 1083243 [details]
File: cgroup
Comment 3 Ferry Huberts 2015-10-15 08:40:22 EDT
Created attachment 1083244 [details]
File: core_backtrace
Comment 4 Ferry Huberts 2015-10-15 08:40:24 EDT
Created attachment 1083245 [details]
File: dso_list
Comment 5 Ferry Huberts 2015-10-15 08:40:25 EDT
Created attachment 1083246 [details]
File: environ
Comment 6 Ferry Huberts 2015-10-15 08:40:27 EDT
Created attachment 1083247 [details]
File: exploitable
Comment 7 Ferry Huberts 2015-10-15 08:40:28 EDT
Created attachment 1083248 [details]
File: limits
Comment 8 Ferry Huberts 2015-10-15 08:40:30 EDT
Created attachment 1083249 [details]
File: maps
Comment 9 Ferry Huberts 2015-10-15 08:40:32 EDT
Created attachment 1083250 [details]
File: mountinfo
Comment 10 Ferry Huberts 2015-10-15 08:40:33 EDT
Created attachment 1083251 [details]
File: open_fds
Comment 11 Ferry Huberts 2015-10-15 08:40:34 EDT
Created attachment 1083252 [details]
File: proc_pid_status
Comment 12 Ferry Huberts 2015-10-15 08:40:36 EDT
Created attachment 1083253 [details]
File: var_log_messages
Comment 13 Marius Pfeffer 2015-11-19 06:09:36 EST
Another user experienced a similar problem:

installed gedit and gedit-code-assistance via dnf on a fresh fedora 23 install

Started gedit, enabled line numbers and code-assistance (line numbers appear, section right to line numbers which would be used by code assistance does not appear)

Clicked onto the document without closing the Preference window -> crash

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gedit
crash_function: gca_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
global_pid:     2161
kernel:         4.2.3-300.fc23.x86_64
package:        gedit-3.18.1-1.fc23
reason:         gedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Marius Pfeffer 2015-11-19 06:15:55 EST
Another user experienced a similar problem:

disabled code assistance plugin, closing the preferences window causes a crash

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gedit
crash_function: gca_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
global_pid:     2443
kernel:         4.2.3-300.fc23.x86_64
package:        gedit-3.18.1-1.fc23
reason:         gedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Tobias Schönberg 2016-01-29 15:11:03 EST
Another user experienced a similar problem:

Was using gedit to edit a css file. The crash occured when I turned of the code-assistance plugin.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: gca_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
global_pid:     19848
kernel:         4.3.3-300.fc23.x86_64
package:        gedit-3.18.3-1.fc23
reason:         gedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 07:47:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:59:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.